<template>

<router-link :to="url" custom v-slot="{ navigate }">
    <div class="shopping-list--card" @click="navigate" @keypress.enter="navigate" :style="{backgroundColor: color}">
        <img id="shopping-card--img" src="@/assets/logo.png">
        <h3 id="shopping-card--title">{{ name }}</h3>
        <h4 id="shopping-card--nbItems">{{ items.length }} items</h4>        
    </div>
</router-link>
</template>

<script>
export default {
  name: 'ShoppingListItem',
  props: ['name', 'items', 'slug', 'color'],
  computed: {
        url() {
            return '/list/' + this.slug;
        }
  },
  methods: { }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.shopping-list--card {
    width: 100%;
    cursor: pointer;
    background-color: lightcoral;
    padding-top: 20px;
    padding-bottom: 20px;
    border: grey 2px solid;

    display: grid;
    grid-template-columns: 120px 3fr;
    grid-template-rows: repeat(2,1fr);
}

#shopping-card--img {
  max-width: 92px;
  padding-left: 5px;
  grid-column: 1 / 2;
  grid-row: 1 / -1;
  align-self: center;
}

#shopping-card--title {
  margin: 0;
  text-align: left;
  grid-column: 2 / -1;
  grid-row: 1 / 1;
}
#shopping-card--nbItems {
  margin: 0;
  text-align: left;
  grid-column: 2 / -1;
  grid-row: 2 / 2;
}

#shopping-card--btn {
  grid-column: 2 / -1;
  grid-row: 3 / 3;
  border: 2px solid indianred;
  height: 40px;
  align-self: end;
}
</style>
